| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
Well::MarkerSet Class Reference
Well

Set of Markers. More...

`#include <wellmarker.h>`

Inheritance diagram for Well::MarkerSet:
[legend]

## Public Member Functions
| MarkerSet ()
| MarkerSet (const MarkerSet &)
virtual | ~MarkerSet ()
bool | addSameWell (const Marker &)
void | addSameWell (const ObjectSet< Marker > &)
virtual void | append (const ObjectSet< Marker > &ms) override
void | fillPar (IOPar &) const
void | fillWithAll (TaskRunner *tr=0)
Marker * | getByLvlID (Strat::LevelID id)
const Marker * | getByLvlID (Strat::LevelID id) const
Marker * | getByName (const char *nm, bool isdbnm=false)
const Marker * | getByName (const char *nm, bool isdbnm=false) const
void | getColors (TypeSet< OD::Color > &) const
void | getDatabaseNames (BufferStringSet &) const
int | getIdxAbove (float z, const Well::Track *trck=0) const
int | getIdxBelow (float z, const Well::Track *trck=0) const
| is trck provided, compares TVDs
void | getNames (BufferStringSet &) const
void | getNamesColorsMDs (BufferStringSet &, TypeSet< OD::Color > &, TypeSet< float > &mds) const
int | indexOf (const char *, bool isdbnm=false) const
int | indexOf (const Marker *m) const override
bool | insertNew (Well::Marker *)
bool | isPresent (const char *n, bool isdbnm=false) const
bool | isPresent (const Marker *m) const override
void | mergeOtherWell (const ObjectSet< Marker > &)
MarkerSet & | operator= (const MarkerSet &)
void | sortByDAH ()
void | usePar (const IOPar &)
Public Member Functions inherited from ManagedObjectSet< Marker >
| ManagedObjectSet ()
| ManagedObjectSet (const ManagedObjectSet &)=delete
| ManagedObjectSet (const ObjectSet< Marker > &)
void | append (const ManagedObjectSet< Marker > &)=delete
void | append (const ObjectSet< Marker > &os) override
void | copy (const ObjectSet< Marker > &os) override
ManagedObjectSet & | operator= (const ManagedObjectSet &)=delete
ManagedObjectSet< Marker > & | operator= (const ObjectSet< Marker > &os)
Public Member Functions inherited from ManagedObjectSetBase< T >
void | erase () override
bool | isManaged () const override
ManagedObjectSetBase< T > & | operator-= (T *) override
T * | pop () override
virtual T * | removeAndTake (idx_type, bool kporder=true)
void | removeRange (idx_type, idx_type) override
T * | removeSingle (idx_type, bool kporder=true) override
T * | replace (idx_type, T *) override
Public Member Functions inherited from ObjectSet< T >
| ObjectSet ()
| ObjectSet (const ObjectSet &)
| ObjectSet (T *)
| ObjectSet (T *, T *)
| ObjectSet (T *, T *, T *)
virtual | ~ObjectSet ()
ObjectSet & | add (T *t)
bool | addIfNew (T *)
void | allowNull (bool yn=true)
iterator | begin ()
const_iterator | begin () const
const_iterator | cbegin () const
const_iterator | cend () const
ObjectSet * | clone () const override
bool | empty () const
iterator | end ()
const_iterator | end () const
void | erase () override
T * | first ()
const T * | first () const
virtual T * | get (const T *) const
| check & unconst
virtual T * | get (idx_type)
virtual const T * | get (idx_type) const
virtual size_type | getCapacity () const
idx_type | getIdx (const_iterator it) const
idx_type | getIdx (iterator it) const
virtual idx_type | indexOf (const T *) const
virtual void | insertAfter (T *newptr, idx_type)
virtual void | insertAt (T *newptr, idx_type)
virtual bool | isPresent (const T *) const
T * | last ()
const T * | last () const
size_type | max_size () const
od_int64 | nrItems () const override
bool | nullAllowed () const
bool | operator!= (const ObjectSet &oth) const
ObjectSet & | operator+= (T *t)
ObjectSet & | operator= (const ObjectSet &)
bool | operator== (const ObjectSet &) const
const T * | operator[] (const T *t) const
T * | operator[] (idx_type i)
const T * | operator[] (idx_type i) const
void | plainErase ()
void | push (T *t)
void | reverse () override
virtual bool | setCapacity (size_type, bool withmargin)
| Allocates mem only, no size() change.
void | setNullAllowed (bool yn=true)
virtual bool | setSize (size_type)
size_type | size () const
void | swap (idx_type, idx_type)
void | swap (ObjectSet &oth)
void | swapItems (od_int64 i1, od_int64 i2) override
void | useIndexes (const idx_type *)
bool | validIdx (od_int64) const override
Public Member Functions inherited from OD::Set
virtual | ~Set ()
bool | isEmpty () const
void | setEmpty ()

## Protected Member Functions
void | addCopy (const ObjectSet< Marker > &, int, float)
void | alignOrderingWith (const ObjectSet< Marker > &)
virtual ObjectSet< Marker > & | doAdd (Marker *) override
Marker * | gtByLvlID (Strat::LevelID) const
Marker * | gtByName (const char *, bool isdbnm=false) const
void | insertNewAfter (int, ObjectSet< Marker > &)
void | moveBlock (int, int, const TypeSet< int > &)
Protected Member Functions inherited from ManagedObjectSetBase< T >
| ManagedObjectSetBase (PtrFunc delfunc)
| ~ManagedObjectSetBase ()
Protected Member Functions inherited from ObjectSet< T >
virtual ObjectSet & | doAdd (T *)

## Additional Inherited Members
Public Types inherited from ManagedObjectSet< Marker >
typedef ObjectSet< Marker >::idx_type | idx_type
typedef ObjectSet< Marker >::size_type | size_type
Public Types inherited from ManagedObjectSetBase< T >
typedef ObjectSet< T >::idx_type | idx_type
typedef ObjectSet< T >::size_type | size_type
Public Types inherited from ObjectSet< T >
typedef impl_type::const_iterator | const_iterator
typedef const value_type & | const_reference
typedef size_type | difference_type
typedef size_type | idx_type
typedef impl_type::iterator | iterator
typedef T | object_type
typedef value_type & | reference
typedef int | size_type
typedef T * | value_type
Static Public Member Functions inherited from OD::Set
static od_int32 | maxIdx32 ()
static od_int64 | maxIdx64 ()
Protected Types inherited from ManagedObjectSetBase< T >
typedef void(* | PtrFunc) (T *ptr)
Protected Types inherited from ObjectSet< T >
typedef VectorAccess< T *, size_type > | impl_type
Protected Attributes inherited from ObjectSet< T >
bool | allow0_ = false
impl_type | vec_

## Detailed Description

Set of Markers.

<>

## Constructor & Destructor Documentation

## ◆ MarkerSet() [1/2]

Well::MarkerSet::MarkerSet | ( |  | ) |

## ◆ MarkerSet() [2/2]

Well::MarkerSet::MarkerSet | ( | const MarkerSet & |  | ) |

## ◆ ~MarkerSet()

virtual Well::MarkerSet::~MarkerSet | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ addCopy()

void Well::MarkerSet::addCopy | ( | const ObjectSet< Marker > & | ,
|  | int | ,
|  | float | )
| protected

## ◆ addSameWell() [1/2]

bool Well::MarkerSet::addSameWell | ( | const Marker & |  | ) |

## ◆ addSameWell() [2/2]

void Well::MarkerSet::addSameWell | ( | const ObjectSet< Marker > & |  | ) |

## ◆ alignOrderingWith()

void Well::MarkerSet::alignOrderingWith | ( | const ObjectSet< Marker > & |  | ) |
| protected

## ◆ append()

virtual void Well::MarkerSet::append | ( | const ObjectSet< Marker > & | ms | ) |
| inline override virtual

## ◆ doAdd()

virtual ObjectSet< Marker > & Well::MarkerSet::doAdd | ( | Marker * |  | ) |
| override protected virtual

## ◆ fillPar()

void Well::MarkerSet::fillPar | ( | IOPar & |  | ) | const

## ◆ fillWithAll()

void Well::MarkerSet::fillWithAll | ( | TaskRunner * | tr = 0 | ) |

## ◆ getByLvlID() [1/2]

Marker * Well::MarkerSet::getByLvlID | ( | Strat::LevelID | id | ) |
| inline

## ◆ getByLvlID() [2/2]

const Marker * Well::MarkerSet::getByLvlID | ( | Strat::LevelID | id | ) | const
| inline

## ◆ getByName() [1/2]

Marker * Well::MarkerSet::getByName | ( | const char * | nm,
|  | bool | isdbnm = false )
| inline

## ◆ getByName() [2/2]

const Marker * Well::MarkerSet::getByName | ( | const char * | nm,
|  | bool | isdbnm = false ) const
| inline

## ◆ getColors()

void Well::MarkerSet::getColors | ( | TypeSet< OD::Color > & |  | ) | const

## ◆ getDatabaseNames()

void Well::MarkerSet::getDatabaseNames | ( | BufferStringSet & |  | ) | const

## ◆ getIdxAbove()

int Well::MarkerSet::getIdxAbove | ( | float | z,
|  | const Well::Track * | trck = 0 ) const

## ◆ getIdxBelow()

int Well::MarkerSet::getIdxBelow | ( | float | z,
|  | const Well::Track * | trck = 0 ) const

is trck provided, compares TVDs

## ◆ getNames()

void Well::MarkerSet::getNames | ( | BufferStringSet & |  | ) | const

## ◆ getNamesColorsMDs()

void Well::MarkerSet::getNamesColorsMDs | ( | BufferStringSet & | ,
|  | TypeSet< OD::Color > & | ,
|  | TypeSet< float > & | mds ) const

## ◆ gtByLvlID()

Marker * Well::MarkerSet::gtByLvlID | ( | Strat::LevelID |  | ) | const
| protected

## ◆ gtByName()

Marker * Well::MarkerSet::gtByName | ( | const char * | ,
|  | bool | isdbnm = false ) const
| protected

## ◆ indexOf() [1/2]

int Well::MarkerSet::indexOf | ( | const char * | ,
|  | bool | isdbnm = false ) const

## ◆ indexOf() [2/2]

int Well::MarkerSet::indexOf | ( | const Marker * | m | ) | const
| inline override

## ◆ insertNew()

bool Well::MarkerSet::insertNew | ( | Well::Marker * |  | ) |

## ◆ insertNewAfter()

void Well::MarkerSet::insertNewAfter | ( | int | ,
|  | ObjectSet< Marker > & | )
| protected

## ◆ isPresent() [1/2]

bool Well::MarkerSet::isPresent | ( | const char * | n,
|  | bool | isdbnm = false ) const
| inline

## ◆ isPresent() [2/2]

bool Well::MarkerSet::isPresent | ( | const Marker * | m | ) | const
| inline override

## ◆ mergeOtherWell()

void Well::MarkerSet::mergeOtherWell | ( | const ObjectSet< Marker > & |  | ) |

## ◆ moveBlock()

void Well::MarkerSet::moveBlock | ( | int | ,
|  | int | ,
|  | const TypeSet< int > & | )
| protected

## ◆ operator=()

MarkerSet & Well::MarkerSet::operator= | ( | const MarkerSet & |  | ) |

## ◆ sortByDAH()

void Well::MarkerSet::sortByDAH | ( |  | ) |

## ◆ usePar()

void Well::MarkerSet::usePar | ( | const IOPar & |  | ) |

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025